# VecSetLocalToGlobalMapping

Sets a local numbering to global numbering used by the routine VecSetValuesLocal() to allow users to insert vector entries using a local (per-processor) numbering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetLocalToGlobalMapping(Vec x,ISLocalToGlobalMapping mapping)

Collective on Vec

### Input Parameters

| x | - vector
| mapping | - mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS()

### Notes

All vectors obtained with VecDuplicate() from this vector inherit the same mapping.

seealso: VecAssemblyBegin(), VecAssemblyEnd(), VecSetValues(), VecSetValuesLocal(), VecSetLocalToGlobalMappingBlock(), VecSetValuesBlockedLocal()

Level:intermediate
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html